Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase Class Reference

URL gateway implementation using the Doctrine. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler, CriteriaConverter $criteriaConverter)
| Creates a new Doctrine database Section Gateway. More...
| find (Criterion $criterion, $offset, $limit, array $sortClauses=[], $doCount=true)
  | {Selects URLs matching specified criteria. Parameters
  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |
  int | $offset |
  int | $limit |
  SortClause[] | $sortClauses |
  bool | $doCount |
Returns array } More...
| findUsages ($id)
  | {Returns IDs of Content Objects using URL identified by $id. Parameters
  int | $id |
Returns array } More...
| updateUrl (URL $url)
  | {Update the URL. Parameters
  \eZ\Publish\SPI\Persistence\URL\URL | $url |
} More...
| loadUrlData ($id)
  | {Loads URL with url id. Parameters
  int | $id |
Returns array } More...
| loadUrlDataByUrl ($url)
  | {Loads URL with url address. Parameters
  int | $url |
Returns array } More...

## Public Attributes
const | URL_TABLE = 'ezurl'
const | URL_LINK_TABLE = 'ezurl_object_link'
const | COLUMN_ID = 'id'
const | COLUMN_URL = 'url'
const | COLUMN_ORIGINAL_URL_MD5 = 'original_url_md5'
const | COLUMN_IS_VALID = 'is_valid'
const | COLUMN_LAST_CHECKED = 'last_checked'
const | COLUMN_MODIFIED = 'modified'
const | COLUMN_CREATED = 'created'

## Protected Member Functions
| doCount (Criterion $criterion)
| {} More...
| createSelectQuery ()
| Creates a Url find query. More...

## Protected Attributes
| $handler
| Database handler. More...
| $criteriaConverter

## Private Member Functions
| createSelectDistinctQuery ()
| getSelectColumns ()

## Detailed Description

URL gateway implementation using the Doctrine.

Definition at line 21 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $dbHandler,
|  | CriteriaConverter | $criteriaConverter
| ) |  |

Creates a new Doctrine database Section Gateway.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |
  \eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter | $criteriaConverter |

Definition at line 54 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\$criteriaConverter.

## Member Function Documentation

## ◆ createSelectDistinctQuery()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::createSelectDistinctQuery | ( |  | ) |
| private

Definition at line 254 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\getSelectColumns(), and eZ\Publish\Core\Persistence\Database\SelectQuery\selectDistinct().

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\find().

## ◆ createSelectQuery()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::createSelectQuery | ( |  | ) |
| protected

Creates a Url find query.

Returns
  \eZ\Publish\Core\Persistence\Database\SelectQuery

Definition at line 246 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\getSelectColumns(), and eZ\Publish\Core\Persistence\Database\SelectQuery\select().

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\loadUrlData(), and eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\loadUrlDataByUrl().

## ◆ doCount()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::doCount | ( | Criterion | $criterion | ) |
| protected

{}

Definition at line 225 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\find().

## ◆ find()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::find | ( | Criterion | $criterion,
|  |  | $offset,
|  |  | $limit,
|  | array | $sortClauses = `[]`,
|  |  | $doCount = `true`
| ) |  |

{Selects URLs matching specified criteria.

Parameters

  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |
  int | $offset |
  int | $limit |
  SortClause[] | $sortClauses |
  bool | $doCount |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 63 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\createSelectDistinctQuery(), eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\doCount(), and eZ\Publish\API\Repository\Values\URL\Query\SortClause\SORT_DESC.

## ◆ findUsages()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::findUsages | ( |  | $id | ) |

{Returns IDs of Content Objects using URL identified by $id.

Parameters

  int | $id |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 104 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ getSelectColumns()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::getSelectColumns | ( |  | ) |
| private

Definition at line 262 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\createSelectDistinctQuery(), and eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\createSelectQuery().

## ◆ loadUrlData()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::loadUrlData | ( |  | $id | ) |

{Loads URL with url id.

Parameters

  int | $id |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 187 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\createSelectQuery().

## ◆ loadUrlDataByUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::loadUrlDataByUrl | ( |  | $url | ) |

{Loads URL with url address.

Parameters

  int | $url |

Returns
  array

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 206 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\createSelectQuery().

## ◆ updateUrl()

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::updateUrl | ( | URL | $url | ) |

{Update the URL.

Parameters

  \eZ\Publish\SPI\Persistence\URL\URL | $url |

}

Reimplemented from eZ\Publish\Core\Persistence\Legacy\URL\Gateway.

Definition at line 154 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $criteriaConverter

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::$criteriaConverter
| protected

Definition at line 46 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase\__construct().

## ◆ $handler

eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::$handler
| protected

Database handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 39 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_CREATED

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_CREATED = 'created'

Definition at line 32 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_ID

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_ID = 'id'

Definition at line 26 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_IS_VALID

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_IS_VALID = 'is_valid'

Definition at line 29 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_LAST_CHECKED

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_LAST_CHECKED = 'last_checked'

Definition at line 30 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_MODIFIED

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_MODIFIED = 'modified'

Definition at line 31 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_ORIGINAL_URL_MD5

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_ORIGINAL_URL_MD5 = 'original_url_md5'

Definition at line 28 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ COLUMN_URL

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::COLUMN_URL = 'url'

Definition at line 27 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ URL_LINK_TABLE

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::URL_LINK_TABLE = 'ezurl_object_link'

Definition at line 24 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

## ◆ URL_TABLE

const eZ\Publish\Core\Persistence\Legacy\URL\Gateway\DoctrineDatabase::URL_TABLE = 'ezurl'

Definition at line 23 of file Persistence/Legacy/URL/Gateway/DoctrineDatabase.php.

The documentation for this class was generated from the following file:

- Persistence/Legacy/URL/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.